import ucar.nc2.iosp.grib.*;
import ucar.nc2.iosp.grib.GribServiceProvider.*;
import java.*;
import java.io.*;
import java.util.*;
import ucar.ma2.*;
import ucar.nc2.*;
import ucar.nc2.util.*;
import ucar.nc2.units.DateFormatter;

public class Tester {
  private static final String VERSION = "0.01";

  double[] Tvar;

public static void main(String[] args) {
  Tester gs = new Tester(args);
  System.exit(0);
}

public Tester(String[] args) {
  //config = new Config();
  int i_arg=0;
  int tuv_levels=0;
  String model = args[i_arg++];
  String filename = args[i_arg++];

  NetcdfFile ncfile = null;
  try {

    ncfile = NetcdfFile.open(filename);
    //System.out.println("ncfile is "+ncfile);
    Array data4D;
    Variable v = null;
    Attribute a = null;
    
    // get grid parameters for most variables                                         
    Dimension d = ncfile.findDimension("z");       
    if(d == null) {
      System.out.println("Bad dimension for z");
      System.exit(1);
    }
    tuv_levels = d.getLength();
   
    // get variables
    int[] origin = new int[] {0, 0, 40,50};
    int[] tuv_size = new int[] {1, tuv_levels, 1,1};
    v  = ncfile.findVariable("vpt");
    data4D = v.read(origin, tuv_size);
    Tvar = (double[])data4D.reduce().get1DJavaArray(double.class);
    System.out.println("successfully read "+filename);
  } catch (Exception e) {
    System.out.println("Exception: " + filename+" "+e);
    e.printStackTrace();
    System.exit(1);
  } finally { 
    if (null != ncfile) try {
      ncfile.close();
      System.out.println("closed file");
    } catch (IOException ioe) {
      System.out.println("trying to close " + filename+" "+ioe);
    }
  }

  for(int i=0;i<tuv_levels;i++) {
    System.out.println("i: "+i+" t "+Tvar[i]);
  }
} 
}


